import os

from ud import repr_ud


def scientific(x, prec):
    fmt = f"%.{prec-1}E"
    a, b = (fmt % x).split("E+")
    return r"%s \times 10^{%d}" % (a, int(b))

raw = '''U	18226808
UUD	4682832
UUU	4222326
UU	3380322
UUUU	3017022
UUDD	2938992'''

ud_freq = [line.split() for line in raw.split('\n')]

pre, ext = os.path.splitext(__file__)
file_basename = os.path.basename(pre)
tex_filename = os.path.extsep.join([pre, 'tex'])
text = (r'''% This is a generated file. Do not manually modify. See <filename>.py instead.
\begin{table}[]
    \centering
    \begin{tabular}{l | r}
    \hline
    Converted UD path & Count \\
    \hline
    '''
    + '\n'.join(r'\code{%s} & $%s$ \\' % (repr_ud(x), scientific(float(c), 2)) for x, c in ud_freq)
    + r'''
    \hline
    \end{tabular}
    \caption{Top UD relations appeared in the top 50 frequent tree-walks used by E13 when predicting values over py150.}
    \label{tab:''' + file_basename + '''}
\end{table}
''')
print(text)
