import os

from ud import repr_ud


l = [('<self>', 12), ('1.0', 4), ('2.0', 3), ('1.001', 2), ('12.0', 2), ('1.013', 2), ('1.007', 1), ('3.0', 1), ('12.011', 1), ('16.001', 1), ('17.007', 1), ('8.016', 1), ('14.005', 1), ('6.017', 1), ('2.002', 1), ('6.016', 1), ('1.012', 1)]

pre, ext = os.path.splitext(__file__)
file_basename = os.path.basename(pre)
tex_filename = os.path.extsep.join([pre, 'tex'])
text = (r'''% This is a generated file. Do not manually modify. See <filename>.py instead.
\begin{table}[]
    \centering
    \begin{tabular}{l | r}
    \hline
    UD path & Count \\
    \hline
    '''
    + '\n'.join(r'\code{%s} & %s \\' % (repr_ud(x), c) for x, c in l[:10])
    + r'''
    \hline
    \end{tabular}
    \caption{Top UD relations ranked by the times of it being ranked as the top by the attention heads in out trained \TreeRel model.}
    \label{tab:''' + file_basename + '''}
\end{table}
''')
print(text)
